Tag: pip

pip requirements.txt с альтернативным индексом

Я хочу поместить все требования для повторной установки Zope2 в файл требований к требованиям . Большинство пакетов repoze, похоже, не на PyPi, но для них есть альтернативный PyPi-индекс. Но я не могу понять, как сообщить pip, чтобы использовать этот индекс вместе с файлом требований. Для отдельных пакетов это легко pip install zopelib -i http://dist.repoze.org/zope2/2.10/simple/ Я […]

Как найти зависимости пакета Python

Как вы можете программно получить список зависимостей пакета Python? Стандартный setup.py имеет эти документы, но я не могу найти простой способ получить к нему доступ либо из Python, либо из командной строки. В идеале, я ищу что-то вроде: $ pip install somepackage –only-list-deps kombu>=3.0.8 billiard>=3.3.0.13 boto>=2.26 или: >>> import package_deps >>> package = package_deps.find('somepackage') >>> […]

Делает ли pip handle extras_requires из setuptools / распределяет источники на основе?

У меня есть пакет «A» с параметром setup.py и extras_requires, например: extras_require = { 'ssh': ['paramiko'], }, И пакет «B», который зависит от использования: install_requires = ['A[ssh]'] Если я запускаю python setup.py install на пакете B, который использует setuptools.command.easy_install под капотом, extras_requires правильно разрешен, а paramiko установлен. Однако, если я запустил pip /path/to/B или pip […]

Не удается установить пакет psycopg2 через установку pip … Это из-за Сьерры?

Я работаю над проектом для одной из моих лекций, и мне нужно загрузить пакет psycopg2 для работы с используемой базой данных postgresql. К сожалению, когда я пытаюсь установить pip psycopg2, появляется следующее сообщение: ld: library not found for -lssl clang: error: linker command failed with exit code 1 (use -v to see invocation) error: command […]

Установка протокола не работает на Windows 7 Установка Cygwin

У меня ужасное время получить пип и запустить Cygwin, который я недавно установил на своем компьютере под управлением Windows 7. Я пишу в надежде, что кто-нибудь может сказать мне, что я делаю неправильно с точки зрения правильной установки этих пакетов. Для начала я выполнил инструкции на этом сайте: http://www.pip–installer.org/en/latest/installing.html с setuptools, установленным до установки pip. […]

Как установить пакет с минимальным и максимальным диапазоном?

Мне интересно, есть ли способ сообщить pip, особенно в файле требований, установить пакет как с минимальной версией ( pip install package>=0.2 ), так и с максимальной версией, которая никогда не должна быть установлена ​​(теоретический api: pip install package<0.3 ). Я спрашиваю, потому что я использую стороннюю библиотеку, которая находится в активной разработке. Я бы хотел, […]

установка Mayavi с помощью pip – нет модуля с именем vtk

Я хочу использовать майяви. ситуация Я использую MacBook Air с OSX 10.7.3. Я использую Python 2.7.2 У меня есть virtualenv . Но я не использовал его для этой установки. Я вручную установил все его зависимости, в том числе VTK . Для VTK я выполнил руководство по установке и установил оболочку python. Теперь, если я открываю […]

Использование virtualenv с пробелами в пути

Я настроил среду virtualenv на своем Mac, но не могу заставить Pip устанавливать пакеты. Он не работает со следующей ошибкой: /Volumes/Macintosh: bad interpreter: No such file or directory Я проследил проблему до того, что на пути было место, на что можно ответить: https://stackoverflow.com/a/10873611/126564 (путь /Volumes/Macintosh HD/Python/my_project ) Но это немного проблема. Предлагаемое решение: «просто поместите […]

проблема при установке практически любой библиотеки

У меня есть трудное время, использующее pip для установки почти чего угодно. Я новичок в кодировании, поэтому я подумал, что, возможно, это то, что я делаю неправильно, и отказался от easy_install, чтобы получить большую часть того, что мне было нужно, что в целом работало. Однако теперь я пытаюсь загрузить библиотеку nltk, и ни одна из […]

Как запускать команды команд из CMD

Насколько я понимаю, Python 2.7.9 поставляется с установленным протоколом, однако, когда я пытаюсь выполнить команду «Пип» из CMD (Windows), я получаю следующую ошибку: «pip» не распознается как внутренняя или внешняя команда, операционная программа или командный файл. Когда я python я получаю следующее, что предполагает, что он был установлен правильно: Python 2.7.9 (по умолчанию, 10 декабря […]

Python - лучший язык программирования в мире.